## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 23;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id io.github.lainsce.Notejot

Name:           notejot
Summary:        Jot your ideas
Version:        3.5.1
Release:        %autorelease
# The entire source is GPL-3.0-or-later, except:
#   src/Widgets/NoteTheme.vala
#   src/Widgets/MoveToDialog.vala
#   src/Widgets/EditNotebookDialog.vala
# which are GPL-2.0-or-later; and
#   data/io.github.lainsce.Notejot.metainfo.xml.in
# which is CC0-1.0 (allowed only for content, which this file is).
License:        GPL-3.0-or-later AND GPL-2.0-or-later AND CC0-1.0

URL:            https://github.com/lainsce/notejot
Source:         %{url}/archive/%{version}/notejot-%{version}.tar.gz

# Add <launchable/> tag to AppStream metadata
#
# https://www.freedesktop.org/software/appstream/docs/chap-Quickstart.html#qsr-app-launchable-info
#
# Omitting this tag now now triggers a hard validation error in “appstreamcli
# validate”:
#
# https://github.com/ximion/appstream/commit/ad98bfd8db789c80507e82278d6d766acba4937c
Patch:          %{url}/pull/380.patch
#   Simplify an overcomplicated Boolean expression
# Fixes:
#   Build error from source
#   https://github.com/lainsce/notejot/issues/395
# The code in question has been rewritten in the upstream development branch,
# so this patch cannot be sent upstream, but the fix was noted in the upstream
# issue.
Patch:          0001-Simplify-an-overcomplicated-Boolean-expression.patch
# Fix deprecated top-level developer_name in AppData XML
# https://github.com/lainsce/notejot/pull/408
Patch:          %{url}/pull/408.patch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
# When available, it is also used by upstream tests.
BuildRequires:  libappstream-glib
# Matches what gnome-software and others use:
BuildRequires:  appstream

BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  gcc

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)

Requires:       hicolor-icon-theme

Summary(cs):    Zapiš si své nápady
Summary(da):    Notér dine ideer
Summary(de_DE): Notieren Sie Ihre Ideen
Summary(es):    Anota sus ideas
Summary(fr):    Notez vos idées
Summary(gl):    Apunte as súas ideas
Summary(hr):    Zapiši svoje ideje
Summary(it):    Annota le tue idee
Summary(ja):    アイデアを書き留めよう！
Summary(lt):    Greitai užsirašykite savo idėjas
Summary(nl):    Noteer je ideeën
Summary(pl):    Notuj swoje pomysły
Summary(pt_BR): Anote suas ideias
Summary(pt):    Anote as suas ideias
Summary(ru):    Запишите ваши идеи
Summary(sv):    Skriv ner dina idéer


%description
A stupidly-simple notes application for any type of short term notes or ideas.

  • 🟡 Color your notes in 8 different colors
  • 📓 Classify them in notebooks
  • 🔤 Format text to your liking
  • 📌 Pin your most important ones

%description -l cs
Velice jednoduchá poznámková aplikace pro každý typ poznámek nebo nápadů.

  • 🟡 Obarvěte si své poznámky až 8 různými barvami
  • 📓 Roztřiďte si je do zápisníků
  • 🔤 Naformátujte si text podle sebe
  • 📌 Připni si ty nejdůležitější

%description -l da
En simpel post-it note applikation for enhver type af korttids tanker eller
ideer.

%description -l de-DE
Eine total einfache Notizen-Anwendung für so ziemlich jede Art von kleinen
Notizen oder Ideen.

%description -l es
Una aplicación de notas estúpidamente simple para cualquier tipo de notas o
ideas a corto plazo.

  • 🟡 Coloree sus notas en 8 colores diferentes
  • 📓 Clasifíquelas en cuadernos
  • 🔤 Formatee a su gusto
  • 📌 Fije sus notas más importantes

%description -l fr
Une application de notes très simple pour tout type de notes ou d’idées à court
terme.

  • 🟡 Colorez vos notes avec 8 coleurs différentes
  • 📓 Rangez les dans des carnets de notes
  • 🔤 Formatez le texte comme vous le préferez
  • 📌 Épinglez vos notes les plus importantes

%description -l gl
Un aplicativo de notas sinxelo para calquera tipo de notas ou ideas a curto
prazo.

%description -l hr
Jednostavan program za zapisivanje bilježaka bilo koje vrste ili ideja.

  • 🟡 Oboji bilješke u osam raznih boja
  • 📓 Klasificiraj ih u bilježnicama
  • 🔤 Formatiraj tekst po volji
  • 📌 Prikvači svoje najvažnije bilješke

%description -l it
Un’applicazione di note adesive stupidamente semplice per qualsiasi tipo di
note a breve termine o idee.

  • 🟡 Colora le tue note in 8 colori diversi
  • 📓 Classificali nei taccuini
  • 🔤 Formatta il testo a tuo piacimento
  • 📌 Appunta i tuoi più importanti

%description -l ja
超シンプルなメモアプリです。

%description -l lt
Kvailai paprasti lipnūs užrašai bet kokio tipo trumpoms pastaboms ar idėjoms.

%description -l nl
Een doodeenvoudige notitietoepassing voor het opschrijven van korte notities of
ideeën.

  • 🟡 Voorzie je notities van een kleur (8 verschillende om uit te kiezen)
  • 📓 Deel ze op in notitieboeken
  • 🔤 Gebruik alle tekstopmaak die je maar wilt
  • 📌 Zet de belangrijkste bovenaan

%description -l pl
Głupio prosta aplikacja do notowania różnych krótkoterminowych notatek lub
pomysłów.

%description -l pt_BR
Um aplicativo estupidamente simples para qualquer tipo de notas curtas ou
idéias.

  • 🟡 Pinte suas notas com 8 cores diferentes
  • 📓 Classifique-as em cadernos
  • 🔤 Formate o texto como quiser
  • 📌 Fixe as mais importantes

%description -l pt
Uma aplicação estupidamente simples de notas aderentes para qualquer tipo
de notas a curto prazo ou ideias.

%description -l ru
Невероятно простое приложение для любого типа быстрых заметок или идей.

  • 🟡 Разукрасьте свои заметки в 8 разных цветов
  • 📓 Классифицируйте их в блокнотах
  • 🔤 Отформатируйте текст по своему вкусу
  • 📌 Закрепите самые важные из них

%description -l sv
Ett löjligt enkelt anteckningsprogram för alla typer av kortvariga anteckningar
eller idéer.


%prep
%autosetup -p1


%conf
%meson


%build
%meson_build


%install
%meson_install

%find_lang %{app_id}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{app_id}.desktop

# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
appstream-util validate-relax --nonet \
    %{buildroot}/%{_metainfodir}/%{app_id}.metainfo.xml
# Matches what gnome-software and others use:
appstreamcli validate --no-net --explain \
    %{buildroot}/%{_metainfodir}/%{app_id}.metainfo.xml


%files -f %{app_id}.lang
%doc README.md
%license LICENSE

%{_bindir}/%{app_id}

%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/icons/hicolor/*/actions/*.svg
%{_metainfodir}/%{app_id}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-22
- Invoke %%meson in %%conf rather than in %%build

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Mar 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-20
- Add developer ID to AppStream XML metadata

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-16
- Fix deprecated top-level developer_name in AppData XML

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-15
- Ask appstreamcli to explain validation findings

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-14
- Correct appstreamcli invocation (--nonet no longer works)

* Sat Oct 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-13
- Fix a missing back button on notes in grid view

* Sat Oct 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-12
- Revert "Fix incorrect logic in a patch"

* Sat Oct 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-11
- Fix incorrect logic in a patch

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-8
- Fix FTBFS due to unexpected order of operations

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-6
- Leaf package: remove i686 support

* Thu Oct 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-5
- Update License to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-3
- Use %%%%{_metainfodir} macro

* Sat May 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-2
- Add <launchable/> tag to AppStream metadata

* Thu Apr 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-1
- Update to 3.5.1 (close RHBZ#2077166)

* Thu Mar 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.0-1
- Update to 3.5.0 (close RHBZ#2069915)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.3-4
- Add BR on gcc

* Wed Jan 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.3-3
- Also validate AppData with appstreamcli

* Mon Nov 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.3-2
- Update to 3.3.3 / tagged 3.4.9 (close RHBZ#2027480)

* Sun Nov 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.3-1
- Update to 3.3.3 / tagged 3.4.6 (close RHBZ#2027114)

* Sun Nov 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.2.0-2
- Rename appname spec file macro to app_id

* Sat Oct 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.2.0-1
- Uupdate to 3.2.0

* Sat Sep 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.6-1
- Update to 3.1.6 (close RHBZ#2007809)

* Fri Sep 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.5-1
- Update to 3.1.5 (close RHBZ#2003286)

* Thu Sep 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.4-1
- Update to 3.1.4 (fix RHBZ#2002210, close RHBZ#2002838)

* Tue Sep 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.3-1
- Update to 3.1.3 (close RHBZ#2002063)

* Mon Aug 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.2-1
- Update to 3.1.2 (close RHBZ#1996824)

* Wed Aug 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.1-1
- Update to 3.1.1 (close RHBZ#1994852)

* Mon Aug 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-1
- Update to 3.1.0 (close RHBZ#1993745)

* Fri Aug 06 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.4-1
- New upstream version 3.0.4 (fix RHBZ#1953461)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.4-2
- Switch License field to “effective license” of GPLv3+

* Sun Mar 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.4-1
- New upstream version 2.7.4
- More localized summaries and descriptions from upstream

* Sat Feb 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.8-2
- Add localized summaries and descriptions, where available

* Mon Feb 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.8-1
- Update to version 2.6.8

* Sat Feb 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.5-1
- Update to version 2.6.5

* Wed Feb 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.4-1
- Update to version 2.6.4

* Wed Feb 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.3-4
- Correct License from “GPLv3” to “GPLv3+ and GPLv2+ and CC0”

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Apr 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.6.3-1
- Update to version 1.6.3.

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 13 2020 Fabio Valentini <decathorpe@gmail.com> - 1.6.0-1
- Update to version 1.6.0.

* Fri Aug 02 2019 Fabio Valentini <decathorpe@gmail.com> - 1.5.8-1
- Update to version 1.5.8.

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Feb 19 2019 Fabio Valentini <decathorpe@gmail.com> - 1.5.5-1
- Update to version 1.5.5.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Fabio Valentini <decathorpe@gmail.com> - 1.5.4-1
- Update to version 1.5.4.

* Mon Dec 17 2018 Fabio Valentini <decathorpe@gmail.com> - 1.5.3-1
- Update to version 1.5.3.

* Sat Nov 17 2018 Fabio Valentini <decathorpe@gmail.com> - 1.5.1-1
- Update to version 1.5.1.

* Mon Nov 12 2018 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0.

* Sat Sep 08 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.5-1
- Update to version 1.4.5.

* Fri Sep 07 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.3-1
- Update to version 1.4.3.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jul 07 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.2-1
- Update to version 1.4.2.

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-2
- Rebuild for granite5 soname bump.

* Mon Mar 19 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-1
- Update to version 1.4.0.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Fabio Valentini <decathorpe@gmail.com> - 1.3.8-1
- Update to version 1.3.8.

* Mon Jan 15 2018 Fabio Valentini <decathorpe@gmail.com> - 1.3.7-1
- Initial package.

## END: Generated by rpmautospec
